> For the complete documentation index, see [llms.txt](https://docs.linuxcontrolcenter.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.linuxcontrolcenter.com.br/en/managed-files/create-managed-file.md).

# Create Managed File

## Requirements

Linux Control Center = 2.10.X or higher

## Overview

Linux Control Center allows you to standardize configuration files for managed Hosts by uploading a configuration file.

## Objective

This document aims to demonstrate step by step how to use the *Files* functionality of Linux Control Center.

## Create Managed File

### Essential Settings

1. Access the **Files** screen on the left side menu.

   ![](/files/NVA5BWLtzexAXw1kYQb8)
2. Click **Create**.

   ![](/files/rgcH6eo5Fm0MUSavq6cP)
3. Fill in the required fields as instructed below;

**Name:** Name to identify the file only in the LCC Console.\
**Upload File:** Field to upload the desired file.\
**Path:** Directory, Name and Extension in which it will be stored on the Host.\
**Owner:** User who will have access permissions to the file.\
**Group:** Group that will have access permissions to the file.\
**Permissions:** Level of access permission to the file.<br>

```
![](/pt-br/images/files/create_file/campos_iniciais.png)
```

### Additional Settings

* These settings allow you to create a User, Group or Directory when they do not exist on a Host where the file will be uploaded. It also allows you to create a copy of the file and move it to a desired directory if one already exists before performing the action of adding the new file to the Host.

**Create User:** Creates the user from the *Owner* field if it does not exist on the Host.\
**Create Group:** Creates the access group from the *group* field if it does not exist on the Host.\
**Create Directory:** Creates the directory to save the file from the *Path* field if it does not exist on the Host.\
**Backup:** Creates a copy with date and time if a file with the same name and extension already exists in the same *Path* directory.\
**Move Backup:** Moves the created copy to the directory entered in the *Backup Directory* field.<br>

```
![](/pt-br/images/files/create_file/campos_adicionais.png)
```

1. Click **Save** to make the file an LCC Managed File.

   ![](/files/MRS8JDZLw42gxxyoTkou)
2. Click on Managed File to check or change the File settings.

   ![](/files/hgmwLsXsdxpgBF0Sf6Nt)
3. All fields filled in when creating the file will be displayed. You can also download it by clicking on **Download**.

   ![](/files/t3LyOBt21lIsw8z9enLQ)

### File Host and Content

1. Access the File created and click on *File Host*.

   ![](/files/ArLIWBwIVtoHXtaUIkao)
2. The **ADD Host** button creates an empty row in the table, and by clicking on the arrow in the *Host* column, you will be able to choose a Host to create the file.

   ![](/files/gcPw89MC59UDEa9z5MXs)
3. Click **Save** after selecting the Host to start the *File Add* Action that will include the file according to the settings.

   ![](/files/z5LR1i75qEInpXzcgjKn)
4. This screen displays which *Hosts* the file was added to, along with the date and time it was created. The *Sync* Column indicates whether the file is synchronized with the latest version in the LCC Console.

   ![](/files/lpaEvWTEopvosuhDcwej)
5. The trash can icon button in the *Actions* column makes it easier to delete the file from the desired Host from this screen, but it is also possible to delete the file from the **Hosts** screen or from the **Host Groups** screen for a larger number of Hosts.
6. When you click this button, the *File Del* action will be started immediately and the file will be removed from the chosen Host.

   ![](/files/nYCgixT6ngXh05g6oo3z)
7. The **Content** screen displays the contents of the File in which it is saved in the LCC Console.

   ![](/files/WNxkwtqiJTKAAhyUI8fj)

## Add Managed File to Host

1. Access the **Hosts** screen.

   ![](/files/kLRZy7Wmwcn7AYdWfqAw)
2. Click on **Actions** in the row and a desired Host and click on **File Add**.

   ![](/files/SkxAacSIGznfSNBhWkhl)
3. To execute the Action on several Hosts simultaneously, select the desired Hosts and click on **Actions** at the top of the page and click on **File Add**.

   ![](/files/MTmZlJ96gd20IVe9tcVU)
4. Click on **File Type** and choose the **Managed** option.

   ![](/files/EZro38pS6uMRf6lgUDVq)
5. Click **Insert File** and choose the managed file you want to add to the Host.

   ![](/files/TcL8HZsxaLtbfB0lJaLC)
6. Click **Yes** to start the *Action*.

   ![](/files/jNsuvvf2ppKcKZ4Tcvxt)
7. Click the **Queue Working** button at the top of the page to monitor the execution of the action.

**Note:** An Action will be created.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.linuxcontrolcenter.com.br/en/managed-files/create-managed-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
